import './proj-create.css'
import {Link, useNavigate} from "react-router-dom";
import {Breadcrumb} from "antd";
import CardProjType from "../../components/card/CardProjType.tsx";

export default function ProjCreate() {
    const nav = useNavigate();
    const height = window.innerHeight - 150;
    return (
        <>
            <Breadcrumb
                items={[
                    {title: <Link to={'/'}>首页</Link>},
                    {title: '创建项目'},
                ]}
            />
            <div style={{height: `${height}px`, overflow: 'auto'}}>
                <div className="proj-create" >
                    <CardProjType
                        head={'全托管'}
                        bodyLineArray={[
                            {
                                title: '提供的服务：',
                                contents: [
                                    '提供系统搭建',
                                    '系统可在线运行三年',
                                    '软著材料编写',
                                    '软著申报',
                                    '包下证',
                                    '提供系统演示视频文件',
                                    '提供系统安装包',
                                ]
                            },
                            {
                                title: '使用流程：',
                                contents: [
                                    '编写软著名称',
                                    '对搭建系统进行核验',
                                    '接受证书',
                                ]
                            }
                        ]}
                        buyArray={[
                            {
                                price: 500,
                                handleClick: (_title, price) => {
                                    nav(`/proj-new/q/${price}`)
                                }
                            }
                        ]}
                    />
                    <CardProjType
                        head={'写材料+代理'}
                        bodyLineArray={[
                            {
                                title: '提供的服务：',
                                contents: [
                                    '提供系统搭建平台与客服指导',
                                    '系统可在线运行一年',
                                    '软著材料编写',
                                    '资料补正不限',
                                    '软著申报',
                                    '包下证',
                                ]
                            },
                            {
                                title: '使用流程：',
                                contents: [
                                    '1、按系统操作手册执行',
                                ]
                            }
                        ]}
                        chargeLineArray={[
                            {
                                price: 100,
                                title: '安装包100元'
                            },
                            {
                                price: 50,
                                title: '系统演示视频文件50元'
                            }
                        ]}
                        buyArray={[
                            {
                                label: '普件：',
                                price: 200,
                                handleClick: (_title, price) => {
                                    nav(`/proj-new/xdp/${price}`)
                                }
                            },
                            {
                                label: '加急：',
                                price: 300,
                                handleClick: (_title, price) => {
                                    nav(`/proj-new/xdj/${price}`)
                                }
                            }
                        ]}
                    />
                    <CardProjType
                        head={'写材料'}
                        bodyLineArray={[
                            {
                                title: '提供的服务：',
                                contents: [
                                    '提供系统搭建',
                                    '系统可在线运行三年',
                                    '软著材料编写',
                                    '软著申报',
                                    '包下证',
                                    '提供系统演示视频文件',
                                    '提供系统安装包',
                                ]
                            },
                            {
                                title: '使用流程：',
                                contents: [
                                    '编写软著名称',
                                    '对搭建系统进行核验',
                                    '接受证书',
                                ]
                            }
                        ]}
                        chargeLineArray={[
                            {
                                price: 100,
                                title: '安装包100元'
                            },
                            {
                                price: 50,
                                title: '系统演示视频文件50元'
                            }
                        ]}
                        buyArray={[
                            {
                                price: 200,
                                handleClick: (_title, price) => {
                                    nav(`/proj-new/x/${price}`)
                                }
                            }
                        ]}
                    />
                    <CardProjType
                        head={'免费试用'}
                        bodyLineArray={[
                            {
                                title: '提供的服务：',
                                contents: [
                                    '提供系统搭建平台与客服指导',
                                    '系统可在线存储三天',
                                ]
                            },
                            {
                                title: '使用流程：',
                                contents: [
                                    '按系统操作手册执行',
                                ]
                            }
                        ]}
                        buyArray={[
                            {
                                price: 0,
                                handleClick: (_title, price) => {
                                    nav(`/proj-new/m/${price}`)
                                }
                            }
                        ]}
                    />
                </div>
            </div>
        </>
    )
}